#pragma once

#include <cstdint>

namespace ch81 {

// Renders the text pointed to by `dfile` into the line buffer `into`. Returns
// the updated dfile that points to the next row of text. `wrote` contains the
// number of entries written to `into`.
const uint8_t* Render(const uint8_t* dfile, int y, uint16_t* into, int* wrote);

}  // namespace ch81
